%define _requires_exceptions perl(Carp::Heavy)

%define build_misdn	0
%{?_without_misdn:	%global build_misdn 0}
%{?_with_misdn:		%global build_misdn 1}

Summary:	Asterisk PBX
Name:		asterisk
Version:	1.2.12.1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}.tar.bz2
Source1:	asterisk.init.bz2
Source2:	asterisk.sysconfig.bz2
Source3:	http://www.asteriskdocs.org/modules/tinycontent/content/docbook/current/AsteriskDocs-html.tar.bz2
Patch0:		asterisk-1.2.8-mdv.diff
Patch1:		asterisk-1.2.4-spandsp.diff
Patch2:		asterisk-1.2.0-beta1-antibork_1.diff
Patch3:		asterisk-1.2.5-antibork_2.diff
Patch4:		asterisk-1.2.5-freetds_mssql.diff
Patch5:		asterisk-1.0.8-20050420-freetds-0.63.diff
Patch8:		asterisk-1.0.8-20050420-h323_conf_fix.diff
Patch9:		asterisk-1.1-20050529-freetds_new_api_fix.diff
Patch10:	asterisk-1.2.4-chan_misdn.diff
# taken from the visdn-devel-20060315 tar ball
Patch11:	asterisk-1.2.5-cap.diff
Patch12:	asterisk-1.2-answer.diff
Patch13:	asterisk-1.2-disconnect.diff
Patch14:	asterisk-1.2.7.1-ppcfix.diff.bz2
Patch15:	asterisk-1.2.7.1-metermaid.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	mpg123
BuildRequires:	alsa-lib-devel
#BuildRequires:	bison
BuildRequires:	curl-devel
BuildRequires:	freetds_mssql-devel >= 0.63
#BuildRequires:	gtk+1.2-devel
BuildRequires:	libnbs-devel
BuildRequires:	libncurses-devel
BuildRequires:	libpri-devel >= 1.2.2
BuildRequires:	libspeex-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libtonezone-devel >= 1.2.3
BuildRequires:	libzap-devel >= 1.0.1
BuildRequires:	newt-devel
BuildRequires:	oggvorbis-devel
#BuildRequires:	openh323-devel >= 1.15.3
BuildRequires:	osp-devel
# needed for smsq: popt-devel
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:	libspandsp-devel libtiff-devel
BuildRequires:	sqlite-devel
#BuildRequires:	swig-devel
BuildRequires:	isdn4k-utils-devel
BuildRequires:	lpc10-devel
BuildRequires:	libgsm-devel
BuildRequires:	libilbc-devel
%if %{build_misdn}
BuildRequires:	libmisdn-devel >= 1:3.0
%endif
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Asterisk is an Open Source PBX and telephony development platform that
can both replace a conventional PBX and act as a platform for developing
custom telephony applications for delivering dynamic content over a
telephone similarly to how one can deliver dynamic content through a
web browser using CGI and a web server.

Asterisk talks to a variety of telephony hardware including BRI, PRI, 
POTS, and IP telephony clients using the Inter-Asterisk eXchange
protocol (e.g. gnophone or miniphone).  For more information and a
current list of supported hardware, see www.asterisk.org.

%package	webvmail
Summary:	Web frontend to voicemail
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}
Requires:	webserver

%description	webvmail
This package contains the web frontend to voicemail.

WARNING:
IT USES A SETUID ROOT PERL SCRIPT, SO IF YOU DON'T LIKE THAT,
DO NOT INSTALL THIS PACKAGE!

%package	plugins-pgsql
Summary:	PostgreSQL plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-pgsql
This package contains PostgreSQL plugins for Asterisk:

* Simple PostgreSQL Interface
* Call Detail Recording for PostgreSQL

%package	plugins-odbc
Summary:	ODBC plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-odbc
This package contains ODBC plugins for Asterisk:

* ODBC Configuration
* Call Detail Recording for ODBC
* ODBC resource manager

%package	plugins-tds
Summary:	FreeTDS plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-tds
This package contains FreeTDS plugins for Asterisk:

* Call Detail Recording for FreeTDS

%package	plugins-sqlite
Summary:	SQLite plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-sqlite
This package contains SQLite plugins for Asterisk:

* Call Detail Recording for SQLite

%package	plugins-fax
Summary:	FAX plugins for Asterisk
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	plugins-fax
This package contains FAX plugins for Asterisk:

* Trivial FAX Receive Application
* Trivial FAX Transmit Application
* Assign entered string to a given variable

%if %{build_misdn}
%package	chan_misdn
Summary:	This module adds mISDN support to the Asterisk PBX
Group:		System/Servers
Requires(post): %{name} = %{version}
Requires(preun): %{name} = %{version}

%description	chan_misdn
This module adds mISDN support to the Asterisk PBX. mISDN is the
(experimental) new ISDN4Linux stack, which adds support for
driving cards in NT mode and thus connecting an ISDN phone to your
computer.
%endif

%package	devel
Summary:	Header files for building Asterisk modules
Group:		Development/C

%description	devel
This package contains the development header files that are needed
to compile 3rd party modules.

%package	docs
Summary:	The Hitchhiker's Guide to Asterisk
Group:		Books/Howtos

%description	docs
The Hitchhiker's Guide to Asterisk

%prep

%setup -q -n %{name}-%{version} -a3

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1 -b .mdv
%patch1 -p1 -b .spandsp
%patch2 -p1 -b .antibork_1
%patch3 -p0 -b .antibork_2
%patch4 -p1 -b .freetds_mssql
#patch5 -p0 -b .freetds-0.63
%patch8 -p0 -b .h323_conf_fix
%patch9 -p0 -b .freetds_new_api_fix
%if %{build_misdn}
%patch10 -p1 -b .chan_misdn
%endif
# visdn
#%patch11 -p1 -b .cap
%patch12 -p1 -b .answer
%patch13 -p1 -b .disconnect
%ifnarch %ix86
%patch14 -p1 -b .ppcfix
%endif
%patch15 -p0 -b .metermaid
bzcat %{SOURCE1} > asterisk.init
bzcat %{SOURCE2} > asterisk.sysconfig

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"

# fix one convenient softlink
pushd docs-html
    ln -s book1.html index.html
popd

# these are provided by asterisk-sounds
rm -f sounds/conf-hasleft.gsm sounds/conf-thereare.gsm

%build

echo "%{version}-%{release}" > .version

export HOST_CC=gcc

make -C channels busy.h
make -C channels ringtone.h

make \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" \
    DEBUG="" \
    ASTLIBDIR=%{_libdir} \
    ZAPDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=/var/spool/asterisk \
    ASTLOGDIR=/var/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=/var/run/asterisk \
    ASTMANDIR=%{_mandir}

# make the muted binary
make \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE" \
    DEBUG="" \
    ASTLIBDIR=%{_libdir} \
    ZAPDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=/var/spool/asterisk \
    ASTLOGDIR=/var/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=/var/run/asterisk \
    ASTMANDIR=%{_mandir} \
    muted

make progdocs

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_libdir}/pkgconfig
install -d %{buildroot}/var/run/asterisk
install -d %{buildroot}/var/log/asterisk/cdr-csv
install -d %{buildroot}/var/log/asterisk/cdr-custom
install -d %{buildroot}/var/log/asterisk/testreports

install -d %{buildroot}/var/spool/asterisk
install -d %{buildroot}/var/spool/asterisk/dictate
install -d %{buildroot}/var/spool/asterisk/meetme
install -d %{buildroot}/var/spool/asterisk/monitor
install -d %{buildroot}/var/spool/asterisk/outgoing
install -d %{buildroot}/var/spool/asterisk/system
install -d %{buildroot}/var/spool/asterisk/tmp

install -d %{buildroot}/var/www/{html,cgi-bin}

make \
    DESTDIR="%{buildroot}" \
    ASTLIBDIR=%{_libdir} \
    AGI_DIR=%{_localstatedir}/asterisk/agi-bin \
    MODULES_DIR=%{_libdir}/asterisk \
    ASTVARLIBDIR=%{_localstatedir}/asterisk \
    ASTETCDIR=%{_sysconfdir}/asterisk \
    ASTSPOOLDIR=/var/spool/asterisk \
    ASTLOGDIR=/var/log/asterisk \
    ASTHEADERDIR=%{_includedir}/asterisk \
    ASTBINDIR=%{_bindir} \
    ASTSBINDIR=%{_sbindir} \
    ASTVARRUNDIR=/var/run/asterisk \
    ASTMANDIR=%{_mandir} \
    HTTPDIR="/var/www" \
    install

# fix broken softlinks
ln -snf voicemail/default %{buildroot}/var/spool/asterisk/vm
ln -snf ../../../spool/asterisk/vm %{buildroot}%{_localstatedir}/asterisk/sounds
ln -snf ../../../spool/asterisk/voicemail %{buildroot}%{_localstatedir}/asterisk/sounds/voicemail
ln -snf ../../../spool/asterisk/voicemail %{buildroot}/var/spool/asterisk/voicemail

# install init scrips
install -m0755 asterisk.init %{buildroot}%{_initrddir}/asterisk

# install sysconfig file
install -m0644 asterisk.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/asterisk

# install missing h323 config file
install -m0644 channels/h323/h323.conf.sample %{buildroot}%{_sysconfdir}/asterisk/h323.conf

# fix config files
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_sysconfdir}/asterisk/*

# fix two naughty bugs
perl -pi -e "s|/usr/local|/usr|g" %{buildroot}%{_libdir}/asterisk/perl/WebServer.pm

# fix logrotation
cat > %{buildroot}%{_sysconfdir}/logrotate.d/asterisk << EOF
/var/log/asterisk/console /var/log/asterisk/debug /var/log/asterisk/messages /var/log/asterisk/queue_log /var/log/asterisk/event_log /var/log/asterisk/cdr-csv/Master.csv {
    weekly
    rotate 5
    copytruncate
    compress
    notifempty
    missingok
    postrotate
      %{_sbindir}/asterisk -rx 'reload'
    endscript
}
EOF

# install the muted stuff
install -m0755 muted %{buildroot}%{_sbindir}/
install -m0644 muted.conf.sample %{buildroot}%{_sysconfdir}/muted.conf

cat > README.MDK << EOF
T O D O
-------

* ?


E R R A T A
-----------

The MOH (music on hold) and in several other places of the sourcecode 
(app_meetme.c, app_zapbarge.c,app_zapscan.c,chan_iax2.c,chan_zap.c,
res_musiconhold.c,zaptel.c,ztmonitor.c,zttest.c) a /dev/zap/pseudo
device is needed. This device is vendor specific. The source lacks 
ifdefs in many places that would enable usage of another device.

The MOH feature requires a timing device, and currently the 
/dev/zap/pseudo device is used for that also (or the ztdummy.c kernel 
module from the zaptel kernel module source). 

There is another timing device (actually a kernel module) named zaprtc 
found at http://www.junghanns.net/ but it seems it will clash with dual
CPU systems (HT, etc.) because of the internal kernel use of the
vanilla rtc kernel module.

For fresh information about this please visit this resource:
http://www.voip-info.org/wiki-Asterisk+Timer

Asterisk is not a plug and play software. The learning curve is pretty
steep. You have a head start if you allready are working within the
telecom business and know each protocol spec by heart.

R E F L E C T I O N S
---------------------

I would say this software is pretty much locked to one vendor at this
point. So if you don't go and buy hardware from the author, you will 
experience problems...

Regards // Oden Eriksson
EOF

# install extra (forgotten?) headers
install -m0644 *.h %{buildroot}%{_includedir}/asterisk/
install -m0644 include/*.h %{buildroot}%{_includedir}/asterisk/
install -m0644 include/asterisk/*.h %{buildroot}%{_includedir}/asterisk/

# just doing %%doc doc/api/html/* will make rpm barf...
install -d %{buildroot}%{_docdir}/%{name}-devel-%{version}
for i in doc/api/html/*; do
    install -m0644 $i %{buildroot}%{_docdir}/%{name}-devel-%{version}/
done

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/asterisk/defaults.h

# fix ghost files
touch %{buildroot}/var/log/asterisk/console
touch %{buildroot}/var/log/asterisk/debug
touch %{buildroot}/var/log/asterisk/messages
touch %{buildroot}/var/log/asterisk/queue_log
touch %{buildroot}/var/log/asterisk/event_log
touch %{buildroot}/var/log/asterisk/cdr-csv/Master.csv
touch %{buildroot}/var/log/asterisk/h323_log

%pre
%_pre_useradd asterisk %{_localstatedir}/asterisk /bin/sh

%post
%create_ghostfile /var/log/asterisk/console asterisk asterisk 644
%create_ghostfile /var/log/asterisk/debug asterisk asterisk 644
%create_ghostfile /var/log/asterisk/messages asterisk asterisk 644
%create_ghostfile /var/log/asterisk/queue_log asterisk asterisk 644
%create_ghostfile /var/log/asterisk/event_log asterisk asterisk 644
%create_ghostfile /var/log/asterisk/cdr-csv/Master.csv asterisk asterisk 644
%create_ghostfile /var/log/asterisk/h323_log asterisk asterisk 644
echo "Adding setuid root to /usr/bin/mpg123, needed for MOH"
chmod u+s %{_bindir}/mpg123
%_post_service asterisk

%preun
if [ "$1" = 0 ]; then
    echo "Removing setuid root from /usr/bin/mpg123"
    chmod u-s %{_bindir}/mpg123
fi

%_preun_service asterisk

%postun
%_postun_userdel asterisk

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog CREDITS HARDWARE LICENSE README* SECURITY sounds.txt apps/rpt_flow.pdf
%doc doc/*README* doc/*.txt contrib/init.d/rc.mandrake* contrib/asterisk-ices.xml
%doc contrib/scripts contrib/i18n.testsuite.conf contrib/README.festival
%attr(0755,root,root) %{_initrddir}/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/asterisk
%attr(0750,root,asterisk) %dir %{_sysconfdir}/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/asterisk
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*.adsi
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/extensions.ael
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/muted.conf
%exclude %{_sysconfdir}/asterisk/*sql*.conf
%exclude %{_sysconfdir}/asterisk/*odbc*.conf
%exclude %{_sysconfdir}/asterisk/*tds*.conf
%if %{build_misdn}
%exclude %{_sysconfdir}/asterisk/misdn.conf
%endif
#
%attr(0755,root,root) %{_sbindir}/asterisk
%attr(0755,root,root) %{_sbindir}/astgenkey
%attr(0755,root,root) %{_sbindir}/astman
%attr(0755,root,root) %{_sbindir}/autosupport
%attr(0755,root,root) %{_sbindir}/muted
%attr(0755,root,root) %{_sbindir}/rasterisk
%attr(0755,root,root) %{_sbindir}/safe_asterisk
%attr(0755,root,root) %{_sbindir}/smsq
%attr(0755,root,root) %{_sbindir}/stereorize
%attr(0755,root,root) %{_sbindir}/streamplayer
#
%attr(0755,root,root) %{_libdir}/asterisk/app_*.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_*.so
%attr(0755,root,root) %{_libdir}/asterisk/chan_*.so
%attr(0755,root,root) %{_libdir}/asterisk/codec_*.so
%attr(0755,root,root) %{_libdir}/asterisk/format_*.so
%attr(0755,root,root) %{_libdir}/asterisk/pbx_*.so
%attr(0755,root,root) %{_libdir}/asterisk/res_*.so
%attr(0755,root,root) %{_libdir}/asterisk/func_callerid.so
%attr(0755,root,root) %{_libdir}/asterisk/func_enum.so
%attr(0755,root,root) %{_libdir}/asterisk/func_uri.so
%exclude %{_libdir}/asterisk/*sql*.so
%exclude %{_libdir}/asterisk/*odbc*.so
%exclude %{_libdir}/asterisk/*tds*.so
%exclude %{_libdir}/asterisk/*sqlite*.so
%exclude %{_libdir}/asterisk/app_*fax.so
%if %{build_misdn}
%exclude %{_libdir}/asterisk/chan_misdn.so
%endif
#
%attr(0755,asterisk,asterisk) %dir %{_localstatedir}/asterisk
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/agi-bin
%attr(0755,root,root) %{_localstatedir}/asterisk/agi-bin/*
#ghost %{_localstatedir}/asterisk/astdb
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/firmware
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/firmware/iax
%attr(0755,root,root) %{_localstatedir}/asterisk/firmware/iax/*.bin
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/images
%attr(0644,root,root) %{_localstatedir}/asterisk/images/*.jpg
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/keys
%attr(0644,root,root) %{_localstatedir}/asterisk/keys/*.pub
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/mohmp3
%attr(0644,root,root) %{_localstatedir}/asterisk/mohmp3/*.mp3
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/*.gsm
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds/dictate
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/dictate/*.gsm
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds/digits
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/digits/*.gsm
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds/letters
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/letters/*.gsm
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds/phonetic
%attr(0644,root,root) %{_localstatedir}/asterisk/sounds/phonetic/*.gsm
%attr(0755,root,root) %dir %{_localstatedir}/asterisk/sounds/priv-callerintros
%attr(0755,root,root) %{_localstatedir}/asterisk/sounds/vm
%attr(0755,root,root) %{_localstatedir}/asterisk/sounds/voicemail
#
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/dictate
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/meetme
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/monitor
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/outgoing
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/system
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/tmp
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/vm
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail/default
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail/default/1234
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail/default/1234/INBOX
%attr(0750,asterisk,asterisk) %dir /var/spool/asterisk/voicemail/voicemail
%attr(0644,asterisk,asterisk) /var/spool/asterisk/voicemail/default/1234/busy.gsm
%attr(0644,asterisk,asterisk) /var/spool/asterisk/voicemail/default/1234/unavail.gsm
#
%attr(0750,asterisk,asterisk) %dir /var/run/asterisk
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk/cdr-csv
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk/cdr-custom
%attr(0750,asterisk,asterisk) %dir /var/log/asterisk/testreports
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/console
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/debug
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/messages
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/queue_log
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/event_log
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/cdr-csv/Master.csv
%attr(644,asterisk,asterisk) %ghost /var/log/asterisk/h323_log
#
%{_mandir}/man8/asterisk.8*
%{_mandir}/man8/astgenkey.8.bz2
%{_mandir}/man8/autosupport.8.bz2
%{_mandir}/man8/safe_asterisk.8.bz2

%files webvmail
%defattr(-,root,root)
%attr(4755,root,root) /var/www/cgi-bin/vmail.cgi
%attr(-,root,root) %dir /var/www/html/_asterisk
%attr(0644,root,root) /var/www/html/_asterisk/animlogo.gif
%attr(0644,root,root) /var/www/html/_asterisk/play.gif

%files plugins-pgsql
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_pgsql.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_sql_postgres.so
%attr(0755,root,root) %{_libdir}/asterisk/cdr_pgsql.so

%files plugins-odbc
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/*odbc*.conf
%attr(0755,root,root) %{_libdir}/asterisk/*odbc*.so

%files plugins-tds
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/cdr_tds.conf
%attr(0755,root,root) %{_libdir}/asterisk/cdr_tds.so

%files plugins-sqlite
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/cdr_sqlite.so

%files plugins-fax
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/app_*fax.so

%if %{build_misdn}
%files chan_misdn
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/misdn.conf
%attr(0755,root,root) %{_libdir}/asterisk/chan_misdn.so
%endif

%files devel
%defattr(-,root,root)
%{_docdir}/%{name}-devel-%{version}/*
%attr(0644,root,root) %{_includedir}/asterisk/*.h
%exclude %{_includedir}/asterisk/defaults.h
%multiarch %{multiarch_includedir}/asterisk/defaults.h
%{_libdir}/pkgconfig/asterisk.pc

%files docs
%defattr(-,root,root)
%doc docs-html/*

%changelog
* Sat Sep 16 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12.1-1
- 1.2.12.1
- rediffed patch15 (metermaid)

* Sat Sep 08 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.12-1
- 1.2.12

* Thu Aug 31 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.11-1
- 1.2.11
- disable chan_misdn package

* Wed Aug 16 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-2
- added patch15: asterisk-1.2.7.1-metermaid, digium issue #5779
  requested by Mat Murdock

* Tue Jul 18 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.10-1
- 1.2.10

* Tue Jun 06 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9.1-1mdv2007.0
- 1.2.9.1

* Tue Jun 06 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.9-1mdv2007.0
- 1.2.9

* Wed May 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2007.0
- 1.2.8
- rediffed P0
- provide the generated devel docs

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.7.1-4mdk
- apply patch 14 to non ix86 archs

* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-3mdk
- Remove ExclusiveArch as sys/io.h is only needed in an extra program
- really fix build for ppc

* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.2.7.1-2mdk
- fix ExclusiveArch

* Thu Apr 13 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7.1-1mdk
- 1.2.7.1

* Thu Apr 13 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.7-1mdk
- 1.2.7

* Wed Mar 29 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6

* Sat Mar 18 2006 Stefan van der eijk <stefan@eijk.nu> 1.2.5-3mdk
- add dependencies to webvmail package

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-2mdk
- drop the bristuff patch, use visdn instead as it is less intrusive

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdk
- 1.2.5
- rediffed P0,P3,P4

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdk
- activated the spandsp fax stuff with a new P1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdk
- bristuff-0.3.0-PRE-1l (P3)
- ship the misdn stuff (P10)

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- rework the initscript, that safe_asterisk is really not safe
- more permissions fixes

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- second go at using external codec libs (lpc10,gsm,ilbc)
- fix permissions

* Sun Feb 05 2006 stefan van der Eijk <stefan@eijk.nu> 1.2.4-1mdk
- 1.2.4
- update bristuff to 0.3.0-PRE-1i
- added patch100. to fix "too few arguments to function 'ast_request'"

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-6mdk
- fix typo in initscript

* Sun Jan  8 2006 Olivier Blin <oblin@mandriva.com> 1.2.1-5mdk
- convert parallel init to LSB

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-4mdk
- we need /var/run/asterisk
- pinit startup script
- lock down some directories
- make seperate package for webvmail

* Tue Dec 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdk
- activate rediffed bristuff patch (P3)
- added the capi sub package

* Mon Dec 26 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- update bristuff to 0.3.0-PRE-1d

* Mon Dec 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-1mdk
- 1.2.1
- rediff patch0

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- don't add and then blindly remove suid bit on %{_bindir}/mpg123
- don't lie in the %%description
- new S2 (AsteriskDocs)

* Sat Nov 12 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc2.1mdk
- 1.2.0-rc2

* Wed Nov 09 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.rc1.1mdk
- 1.2.0-rc1
- drop patch5 --> merged upstream

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.5mdk
- BuildRequires oggvorbis-devel

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-0.beta1.4mdk
- install more missing headers
- remove insane deps names

* Sun Oct 30 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-0.beta1.3mdk
- multiarch
- use asterisk user, also adjust source1
- add / remove setuidroot bit on /usr/bin/mpg123 for MOH

* Sat Oct 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-beta1-1mdk
- 1.2.0-beta1
- removed patch6 (indications) merged upstream
- disable bristuff patch for now
- add some new files
- BuildRequires

* Mon Sep 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.20050529.2mdk
- rebuild
- use sane deps names
- added P9 due api changes in new freetds libs

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1-20050529.1mdk
- use a more appropriate version because this is really HEAD and not 1.0.8

* Tue May 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050529.1mdk
- new snap (20050529)
- bristuff-0.2.0-RC8f-CVS (P3)
- drop P7 - not needed anymore
- drop P9 - applied upstream

* Tue May 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.6mdk
- added one gcc4 fix in P3 (debian)
- added support for Swedish and Norwegian in app_voicemail.c (P9)
  (Daniel Nylander)

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.5mdk
- bristuff-0.2.0-RC8a-CVS (P3)
- mention the bristuff version in the description

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.4mdk
- heh! i had totally forgotten i packed the osptoolkit, so why not enable it?
- fix deps

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.3mdk
- fix openh323 driver build on x86_64
- fix deps

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.2mdk
- added some missing/forgotten log directories
- let the openh323 driver listen on 0.0.0.0 (P8)

* Wed Apr 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-0.20050420.1mdk
- bristuff-0.2.0-RC8-CVS
- provide the asterisk-addons stuff from another package
- added more countries in the indications.conf file
- deactivate the fax stuff, it won't build
- activate the openh323 stuff as it builds now (on cooker/10.2)

* Fri Apr 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-5mdk
- bristuff-0.2.0-RC8
- fix the sysv script after looking at what's in the contribs directory

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdk
- rebuilt against new postgresql libs

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- argh!, i missed the offending "extern int errno;" stuff

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- more freetds 0.63 fixes (P8)
- add forgotten errno.h header inclusion in app_rxfax.c and app_txfax.c

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7
- rediff P0 and touch P4
- added P8

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- rediff P0,P3,P4
- bristuff-0.2.0-RC7k
- use the %%mkrel macro
- revert the broken usage of broken out libs such as db1, gsm,
  libedit, libilbc and lpc10. this might work better sometime 
  in the future.
- link against the new mssql friendly freetds lib, deps and P7
- fix #12534 

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-4mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-3mdk
- fixed P0 to remove readline-devel deps

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-2mdk
- added missing headers

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P3)
- rediffed P0, P2
- added P6

* Fri Nov 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2a (P3), added missing arguments in apps/app_rpt.c
- deactivate chan_h323 as it's too broken
- deactivate res_perl, it won't build
- turn off debug

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- rediffed P0
- bristuff-0.2.0-rc2 (P3)

* Mon Oct 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-2mdk
- oops!, have to hack the perl stuff some more before building it...

* Mon Oct 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- rediffed P3
- added the perl stuff

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-4mdk
- fixed P1 (gsm and ilbc is shared libraries now)
- openh323-devel seemed borked, require >= 1.13.5.3-2mdk

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-3mdk
- fixed P1
- added P3 by Klaus-Peter Junghanns

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- add one small fix in P0 and also mention that fragments of it 
  originates from debian.

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.20040916.3mdk
- Rebuild with latest pwlib/openh323

* Tue Sep 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.2mdk
- fix BuildRequires (Stefan van der Eijk <stefan@eijk.nu>)

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040916.1mdk
- 20040916
- fix some bugs
- fix P0
- broke out some of the stuff into their respective plugins sub packages
- added the muted stuff
- added the README.MDK file

* Tue Sep 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040914.1mdk
- 20040914
- make it compile on cooker too
- merged P0 - P8 -> P0
- added the cdr_mysql code from the asterisk-addons package (merged into P0)
- added format_mp3 asterisk-addon stuff from the asterisk-addons package
- added the docs from http://www.asteriskdocs.org/

* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20040912.1mdk
- 20040912
- rediff P0
- added the spandsp addon (P2)
- added logrotate stuff

* Sun Sep 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix the patches
- added P2, P3, P4, P5, P6 & P7

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
- used the provided spec file by Robert Vojta as a template
- added P0 & P1
